/****************************************************************************
File:        ErrorCodes.h
Description: Include file for Error codes.
Created:     08/07/06  SBanerjee

Copyright (c) 2006-2010, Solexa Inc, All rights reserved.
This information is protected by copyright law and international
treaties.  Unauthorized reproduction or distribution of this file, or
any portion of it, may result in severe civil and criminal penalties,
and will be prosecuted to the maximum extent possible under the law.
****************************************************************************/

#ifndef ERROR_CODES_H
#define ERROR_CODES_H

enum eErrorCodes
{
    OKAY,
    MEMORY_ALLOCATION_FAILURE,
    INVALID_INPUT_PARAMETERS,
    TOO_MANY_BLOBS,
    INVALID_IMAGE_TYPE,
    IMAGE_IS_STRANGE,
    CLASSIFICATION_FAILURE,
    FILENAME_FAILURE,
    FILE_OPEN_FAILURE,
    FILE_READ_FAILURE,
    INVALID_PARAMETER_IN_FILE,
    INVALID_IMAGE_FILE_TYPE,
    UNSUPPORTED_TIFF_VERSION,
    FILE_WRITE_FAILURE
};

#endif // ERROR_CODES_H
