#include <vector>

#include "QhgParameters.hh"
#include "QhgFilter.hh"

struct SignalMeans
{
    static unsigned int numberOfChannels;
    std::vector<float> channelMeanList;
    float callMeanList[4];
    int callCountList[4];
    SignalMeans() : channelMeanList(numberOfChannels) {}
};

int signalMeansTile(std::vector<SignalMeans> &signalMeans,
                    int &numberOfValidClusters,
                    std::vector<float *> intensities,
                    std::vector<unsigned char> &sequenceList,
                    std::vector<QhgParameters> qhgParametersList,
                    const QhgFilter &qhgFilter);

int writeSignalMeansTile(FILE *fh, const std::vector<SignalMeans> &signalMeansList,
                         const int totalNumberOfClusters, const int numberOfValidClusters, const int lane);

