/**********************************************************************************
File:        Convoluter.h
Description: Include file for the convolution with separable filters
             using Intel library.
Created:     02/09/07  Saibal Banerjee

Copyright (c) 2007-2017, Illumina, All rights reserved.
This information is protected by copyright law and international
treaties.  Unauthorized reproduction or distribution of this file, or
any portion of it, may result in severe civil and criminal penalties,
and will be prosecuted to the maximum extent possible under the law.
**********************************************************************************/

#ifndef CONVOLUTER_H
#define CONVOLUTER_H

class CConvoluter
{
public:
    static int Run(int     iPicWidth,
                   int     iPicHeight,
                   float * pPicture,
                   float * pXFilter,
                   int     iFilterWidth,
                   float * pYFilter,
                   int     iFilterHeight);
};

#endif // CONVOLUTER_H
