/*
 * Copyright (c) 2006 Solexa Ltd.
 * Author: Lorenzo Milazzo
 *
 * This source file is covered by the "Illumina Genome Analyzer
 * Software License Agreement" and bound by the terms therein.
 */

#ifndef __LAV_ESTIMATION_H__
#define __LAV_ESTIMATION_H__


//
// structure 'args_lav'
// structure which contains the arguments for the function 'LAVFunc()';
// - arguments:
//   no_el    number of elements of the distribution
//   data_x   distribution associated with the X axis
//   data_y   distribution associated with the Y axis
//
struct args_lav {
    int no_el;
    float *data_x;
    float *data_y;
};

float LAVFunc(float x, void *p_args_lav_v);


#endif /* __LAV_ESTIMATION_H__ */
