/*
 * Copyright (c) 2006 Solexa Ltd.
 * Author: Lorenzo Milazzo
 *
 * This source file is covered by the "Illumina Genome Analyzer
 * Software License Agreement" and bound by the terms therein.
 */

#ifndef __OPTIMISE_XTALK_MX_H__
#define __OPTIMISE_XTALK_MX_H__

#include "savinio_common.h"
#include "sampling.h"

void optimiseXTalkMx(const float *i_data, const int no_samples, const int no_bases,
                     Matrix & mx, const MatrixSamplingParameters params);

#endif /* __OPTIMISE_XTALK_MX_H__ */
